from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Int, Boolean, String

Schema_Salad_Tool_V0_1_0 = CommandToolBuilder(tool="schema_salad_tool", base_command=["schema-salad-tool"], inputs=[ToolInput(tag="in_rdf_serializer", input_type=Int(optional=True), prefix="--rdf-serializer", doc=InputDocumentation(doc="Output RDF serialization format used by --print-rdf\n(one of turtle (default), n3, nt, xml)")), ToolInput(tag="in_print_json_ld_context", input_type=Boolean(optional=True), prefix="--print-jsonld-context", doc=InputDocumentation(doc="Print JSON-LD context for schema")), ToolInput(tag="in_print_rdfs", input_type=Boolean(optional=True), prefix="--print-rdfs", doc=InputDocumentation(doc="Print RDF schema")), ToolInput(tag="in_print_avro", input_type=Boolean(optional=True), prefix="--print-avro", doc=InputDocumentation(doc="Print Avro schema")), ToolInput(tag="in_print_rdf", input_type=Boolean(optional=True), prefix="--print-rdf", doc=InputDocumentation(doc="Print corresponding RDF graph for document")), ToolInput(tag="in_print_pre", input_type=Boolean(optional=True), prefix="--print-pre", doc=InputDocumentation(doc="Print document after preprocessing")), ToolInput(tag="in_print_index", input_type=Boolean(optional=True), prefix="--print-index", doc=InputDocumentation(doc="Print node index")), ToolInput(tag="in_print_metadata", input_type=Boolean(optional=True), prefix="--print-metadata", doc=InputDocumentation(doc="Print document metadata")), ToolInput(tag="in_print_inheritance_dot", input_type=Boolean(optional=True), prefix="--print-inheritance-dot", doc=InputDocumentation(doc="Print graphviz file of inheritance")), ToolInput(tag="in_print_field_refs_dot", input_type=Boolean(optional=True), prefix="--print-fieldrefs-dot", doc=InputDocumentation(doc="Print graphviz file of field refs")), ToolInput(tag="in_codegen", input_type=String(optional=True), prefix="--codegen", doc=InputDocumentation(doc="Generate classes in target language, currently\nsupported: python")), ToolInput(tag="in_print_one_line", input_type=Boolean(optional=True), prefix="--print-oneline", doc=InputDocumentation(doc="Print each error message in oneline")), ToolInput(tag="in_strict", input_type=Boolean(optional=True), prefix="--strict", doc=InputDocumentation(doc="Strict validation (unrecognized or out of place fields\nare error)")), ToolInput(tag="in_non_strict", input_type=Boolean(optional=True), prefix="--non-strict", doc=InputDocumentation(doc="Lenient validation (ignore unrecognized fields)")), ToolInput(tag="in_verbose", input_type=Boolean(optional=True), prefix="--verbose", doc=InputDocumentation(doc="Default logging")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Only print warnings and errors.")), ToolInput(tag="in_debug", input_type=Boolean(optional=True), prefix="--debug", doc=InputDocumentation(doc="Print even more logging")), ToolInput(tag="in_schema", input_type=String(), position=0, doc=InputDocumentation(doc="document"))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Schema_Salad_Tool_V0_1_0().translate("wdl", allow_empty_container=True)

